﻿using RDIFramework.Utilities;
using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.IO;
using System.Linq;
using System.Text;
using Topshelf;

namespace TimedUpload
{
    class Program
    {
        public static string dbMeter = ConfigurationManager.AppSettings["DBMeter"];
        public static IDbProvider dbHelper
        {
            get
            {
                var DbDefine = DbFactoryProvider.GetProvider(CurrentDbType.Access, dbMeter);
                return DbDefine;
            }
        }
        static void Main(string[] args)
        {

            log4net.Config.XmlConfigurator.ConfigureAndWatch(new FileInfo(AppDomain.CurrentDomain.BaseDirectory + "log4net.config"));
            try
            {
                //String sql = "Select Top 1 * From Sys_BasicSet";
                //DataTable dt = dbHelper.Fill(sql);
                //if (dt.Rows.Count > 0)
                //{
                //    Constants.CompanyCode = dt.Rows[0]["厂商编码"].ToString();
                //}
                Constants.MiddleTable = ConfigurationManager.AppSettings["MiddleTable"].ToString();                
                Constants.DBUrl = ConfigurationManager.AppSettings["DbConncetion"].ToString();
                Constants.DBUrlNb = ConfigurationManager.AppSettings["DbConncetionNB"].ToString();  
                Constants.UploadDB = ConfigurationManager.AppSettings["UploadDB"];
                HostFactory.Run(x =>
                {
                    x.UseLog4Net();
                    x.Service<ServiceRunner>();
                    x.SetDescription("巴林右旗定时上传服务");
                    x.SetDisplayName("巴林右旗定时上传");
                    x.SetServiceName("巴林右旗数据定时上传");

                    x.EnablePauseAndContinue();
                });
            }
            catch (Exception ex)
            {
            }
            
        }
    }
}
